package app21a.form;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import javax.servlet.http.HttpServletRequest;

public final class OrderForm extends ActionForm {
  
  private String productName;
  private String qtyAsString;
  private int qty;
  
  public String getProductName() {
		return productName;
  }
	public void setProductName(String productName) {
  	this.productName = productName;
  }
  public String getQtyAsString() {
  	return qtyAsString;
  }
  public void setQtyAsString(String qtyAsString) {
  	this.qtyAsString = qtyAsString;
  }
  public int getQty() {
    	return qty;
    }
    public void setQty(int qty) {
    	this.qty = qty;
    }

  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    ActionErrors errors = new ActionErrors();

    //Validate Customer
    if (productName.trim().equals("")) {
      errors.add("product", new ActionMessage("Product Name must be entered"));
    }

    //Validate Quantity
    if (qtyAsString.trim().equals("")) {
      errors.add("product", new ActionMessage("Quantity must be entered"));
    }
    else {
      try {
        qty = Integer.parseInt(qtyAsString);
      }
      catch (NumberFormatException e) {
        errors.add("order", new ActionMessage("Quantity must be numeric"));
      }
    }
    
    return errors;
  }
}
